%global xhtmlver 20020801
%global momorel 13

Name: html-dtds
Version: 1.0
Release: %{momorel}m%{?dist}
Group: Applications/Text
Summary: XML amd SGML document type definition for html
License: see "copyright-software-19980720.html"
URL: http://www.w3.org/
PreReq: xml-common >= 0.6.3-12k
PreReq: sgml-common >= 0.6.3-12k
PreReq: fileutils
PreReq: libxml2 >= 2.4.8
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: unzip
#html 4.01
Source0: http://www.w3.org/TR/html4/html40.tgz
#xhtml 1.0
Source1: http://www.w3.org/TR/xhtml1/xhtml1.tgz
Source2: xml.cat
#html 3.2
Source320: http://www.w3.org/TR/HTML32.cat
Source321: http://www.w3.org/TR/HTML32.dtd
Source322: http://www.w3.org/TR/ISOlat1.ent
Source323: HTML32.dcl
#html 2.0
Source200: http://www.w3.org/MarkUp/html-spec/catalog
Source201: http://www.w3.org/MarkUp/html-spec/html.dtd
Source202: http://www.w3.org/MarkUp/html-spec/html-1.dtd
Source203: http://www.w3.org/MarkUp/html-spec/html-s.dtd
Source204: http://www.w3.org/MarkUp/html-spec/html-1s.dtd
Source205: http://www.w3.org/MarkUp/html-spec/ISOlat1.sgml
Source206: http://www.w3.org/MarkUp/html-spec/html.decl
# copyright notice and license
Source990: http://www.w3.org/Consortium/Legal/2002/ipr-notice-20021231.html
# redirected from http://www.w3.org/Consortium/Legal/ipr-notice
# checked on Nov 11 2003
Source991: http://www.w3.org/Consortium/Legal/copyright-documents-19990405.html
Source992: http://www.w3.org/Consortium/Legal/copyright-software-19980720.html

Patch: html-dtds-1.0-sgmldecl.patch

Obsoletes: html-dtd
Obsoletes: xhtml-dtd
Obsoletes: html-dtd
Obsoletes: xhtml-dtd

Nosource: 0
Nosource: 320
Nosource: 321
Nosource: 322
Nosource: 200
Nosource: 201
Nosource: 202
Nosource: 203
Nosource: 204
Nosource: 205
Nosource: 206
Nosource: 990
Nosource: 991
Nosource: 992

%description
HTML 4 extends HTML with mechanisms for style sheets, scripting, frames,
embedding objects, improved support for right to left and mixed direction
text, richer tables, and enhancements to forms, offering improved
accessibility for people with disabilities.

HTML 4.01 is a revision of HTML 4.0 that corrects errors and makes some
changes since the previous revision.

%prep
%setup -q -c -T
mkdir 4.01-sgml
cd 4.01-sgml
tar xzf %{SOURCE0}
cd ..
tar xzf %{SOURCE1}
mkdir 3.2-sgml
cd 3.2-sgml
cp %{SOURCE320} %{SOURCE321} %{SOURCE322} %{SOURCE323} .
cd ..
mkdir 2.0-sgml
cd 2.0-sgml
cp %{SOURCE200} %{SOURCE201} %{SOURCE202} %{SOURCE203} %{SOURCE204} %{SOURCE205} %{SOURCE206} .
cd ..
%patch -p1 -b .sgmldecl
mkdir doc
cp %{SOURCE990} %{SOURCE991} %{SOURCE992} doc

%build


%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_datadir}/sgml/html/dtd-4.01
pushd 4.01-sgml
%{__install} *.decl %{buildroot}%{_datadir}/sgml/html/dtd-4.01
%{__install} HTML4.cat %{buildroot}%{_datadir}/sgml/html/dtd-4.01/catalog
%{__install} *.ent %{buildroot}%{_datadir}/sgml/html/dtd-4.01
%{__install} *.dtd %{buildroot}%{_datadir}/sgml/html/dtd-4.01
popd
%{__mkdir_p} %{buildroot}%{_datadir}/xml/xhtml/dtd-1.0
pushd xhtml1-%{xhtmlver}/DTD
%{__install} *.dcl %{buildroot}%{_datadir}/xml/xhtml/dtd-1.0
%{__install} xhtml.soc %{buildroot}%{_datadir}/xml/xhtml/dtd-1.0/sgmlcatalog
%{__install} *.ent %{buildroot}%{_datadir}/xml/xhtml/dtd-1.0
%{__install} *.dtd %{buildroot}%{_datadir}/xml/xhtml/dtd-1.0
popd
%{__mkdir_p} %{buildroot}%{_datadir}/sgml/html/dtd-3.2
pushd 3.2-sgml
%{__install} HTML32.cat %{buildroot}%{_datadir}/sgml/html/dtd-3.2/catalog
%{__install} *.dtd %{buildroot}%{_datadir}/sgml/html/dtd-3.2
%{__install} *.ent %{buildroot}%{_datadir}/sgml/html/dtd-3.2
%{__install} *.dcl %{buildroot}%{_datadir}/sgml/html/dtd-3.2
popd
%{__mkdir_p} * %{buildroot}%{_datadir}/sgml/html/dtd-2.0
pushd 2.0-sgml
%{__install} * %{buildroot}%{_datadir}/sgml/html/dtd-2.0
popd
install %{SOURCE2} %{buildroot}/usr/share/xml/xhtml/catalog

# Symlinks
mkdir -p %{buildroot}/etc/sgml
ln -s sgml-html-4.01.cat \
	%{buildroot}/etc/sgml/sgml-html.cat
ln -s xml-xhtml-1.0.cat \
	%{buildroot}/etc/sgml/xml-xhtml.cat
pushd %{buildroot}
find . -type f | xargs chmod 444
popd

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc doc/*
/usr/share/sgml/html
/usr/share/xml/xhtml
/etc/sgml/sgml-html.cat
/etc/sgml/xml-xhtml.cat


%post
##
## SGML catalog
##

# Update the centralized catalog corresponding to this version of the DTD
# html 4.01
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-html-4.01.cat \
	/usr/share/sgml/html/dtd-4.01/catalog

# html 3.2
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-html-3.2.cat \
	/usr/share/sgml/html/dtd-3.2/catalog

# html 2.0
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/sgml-html-2.0.cat \
	/usr/share/sgml/html/dtd-2.0/catalog

# xhtml V1.0
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-xhtml-1.0.cat \
	/usr/share/xml/xhtml/dtd-1.0/sgmlcatalog

##
## XML catalog
##

CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//DTD XHTML" \
	"file:///usr/share/xml/xhtml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES" \
	"file:///usr/share/xml/xhtml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegateSystem" \
	"http://www.w3.org/TR" \
	"file:///usr/share/xml/xhtml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegateURI" \
	"http://www.w3.org/TR" \
	"file:///usr/share/xml/xhtml/catalog" $CATALOG

%postun
##
## SGML catalog
##

# html 4.01
if [ ! -d /usr/share/sgml/html/dtd-4.01 ]; then
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/sgml-html-4.01.cat \
		/usr/share/sgml/html/dtd-4.01/catalog
fi

# html 3.2
if [ ! -d /usr/share/sgml/html/dtd-3.2 ]; then
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/sgml-html-3.2.cat \
		/usr/share/sgml/html/dtd-3.2/catalog
fi

# html 2.0
if [ ! -d /usr/share/sgml/html/dtd-2.0 ]; then
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/sgml-html-2.0.cat \
		/usr/share/sgml/html/dtd-2.0/catalog
fi

# xhtml V1.0
if [ ! -d /usr/share/xml/xhtml/dtd-1.0 ]; then
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/xml-xhtml-1.0.cat \
		/usr/share/xml/xhtml/dtd-1.0/sgmlcatalog
fi

##
## XML catalog
##
if [ ! -d /usr/share/xml/xhtml/catalog ]; then
	CATALOG=/etc/xml/catalog
	/usr/bin/xmlcatalog --noout --del \
		"file:///usr/share/xml/xhtml/catalog" $CATALOG
fi

%changelog
* Mon Nov 11 2003 zunda <zunda at freeshell.org>
- (1.0-13m)
- URL of Source990 changed to the one after redirection so that rpm can
  handle files saves with the name after redirection.

* Mon Nov 10 2003 zunda <zunda at freeshell.org>
- (1.0-12m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Sep 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-11m)
- cancel 'NoSource 1'

* Thu Sep 26 2002 kourin <kourin@fh.freeserve.ne.jp>
- (1.0-10m)
- fix about xhtml1.tgz [Momonga-devel.ja:00508]

* Wed May 22 2002 Shingo Akagaki <dora@kondara.org>
- (1.0-8k)
- %post, %preun script bug fix. (mousukoshi)

* Fri Feb 22 2002 Shingo Akagaki <dora@kondara.org>
- (1.0-6k)
- apply sgmldecl patch

* Fri Feb  1 2002 Shingo Akagaki <dora@kondara.org>
- (1.0-4k)
- add html2.0, html3.2

* Thu Jan 31 2002 Shingo Akagaki <dora@kondara.org>
- (1.0-2k)
- new spec
